package top.xinsin.pojo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author xinsin
 * Created On 2023/4/24 21:10
 * @version 1.0
 */
@Data
@TableName("shop_order")
public class Order implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @ExcelIgnore
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @ExcelProperty({"订单号"})
    @TableField("order_no")
    private String orderNo;
    @ExcelProperty({"下单时间"})
    @TableField("order_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date orderTime;
    @ExcelProperty({"订单状态"})
    @TableField("order_status")
    private String orderStatus;
    @ExcelProperty({"旺旺号"})
    @TableField("wang_no")
    private String wangNo;
    @ExcelProperty({"微信|qq账号"})
    @TableField("wechat_no")
    private String wechatNo;
    @ExcelProperty({"支付宝账号"})
    @TableField("alipay_no")
    private String alipayNo;
    @ExcelProperty({"付款金额"})
    @TableField("pay_amt")
    private Double payAmt;
    @ExcelProperty({"店铺名称"})
    @TableField("store_id")
    private Integer storeId;
    @ExcelProperty({"佣金"})
    @TableField("commission")
    private Double commission;
    @ExcelProperty({"支付宝名称"})
    @TableField("alipay_name")
    private String alipayName;
    @ExcelProperty({"放单人"})
    @TableField("rp_name")
    private String rpName;
    @ExcelProperty({"放单人微信名"})
    @TableField("rp_wechat_name")
    private String rpWechatName;
    @ExcelProperty({"备注"})
    @TableField("remark")
    private String remark;
    @ExcelProperty({"买家电话"})
    @TableField("phone_number")
    private String phoneNumber;
    @ExcelProperty({"银行卡号"})
    @TableField("card_no")
    private String cardNo;
    @ExcelProperty({"插旗"})
    @TableField("flag")
    private Integer flag;
    @ExcelProperty({"插旗备注"})
    @TableField("flag_remark")
    private String flagRemark;
    @ExcelProperty({"付款时间"})
    @TableField("pay_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date payTime;
    @ExcelProperty({"收货地址"})
    @TableField("address")
    private String address;
    @ExcelProperty({"商品id"})
    @TableField("shop_id")
    private Integer shopId;
    @ExcelProperty({"sku"})
    @TableField("sku")
    private String sku;
    @TableField(exist = false)
    private String storeName;
}
